<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\OmIntegracoes as EntityOmIntegracoes;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class OmIntegracoes 
{
    
    public function save(EntityOmIntegracoes $entityOmIntegracoes = null, $url, $nrorg, $cdoperador, $dtinclusao)
    {
        if ($entityOmIntegracoes === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "OM_INTEGRACOES", 1, 10, false, false);
            $entityOmIntegracoes = new EntityOmIntegracoes();
            $entityOmIntegracoes->setId($novoCodigo);
            $entityOmIntegracoes->setDtinclusao($dtinclusao);
            $entityOmIntegracoes->setNrorginclusao($nrorg);
            $entityOmIntegracoes->setCdoperinclusao($cdoperador);
        }
        
        $entityOmIntegracoes->setNrorg($nrorg);
        $entityOmIntegracoes->setDtultatu($dtinclusao);
        $entityOmIntegracoes->setNrorgultatu($nrorg);
        $entityOmIntegracoes->setCdoperultatu($cdoperador);
        $entityOmIntegracoes->setDsurlsm($url);
        return $entityOmIntegracoes;
    }
} 