<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Integracao\Entities\Tablayoutexp as TableLayoutExportationEntity;
use OrganizationsManagement\Util\Utilities as Utilities;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class TableLayoutExportation {

    public function save(TableLayoutExportationEntity $tableLayoutExportation=null, $codOperador, $dateNow, $orgId, $layoutId, $tableName, $orderExportation, $active)
    {
        if ($tableLayoutExportation === null){
            $tableLayoutExportation = new TableLayoutExportationEntity();
            $novoCodigo = NovoCodigo::geraCodigo($orgId, "Tablayoutexp", 1, 10, false, false);
            $tableLayoutExportation->setNrseqtabexp($novoCodigo);
            $tableLayoutExportation->setCdlayoutexp($layoutId);
            $tableLayoutExportation->setCdoperinclusao($codOperador);
            $tableLayoutExportation->setDtinclusao($dateNow);
            $tableLayoutExportation->setNmtabelabd($tableName);
            $tableLayoutExportation->setNrorg($orgId);
            $tableLayoutExportation->setNrorginclusao($orgId);
        }
        $tableLayoutExportation->setIdativo($active);
        $tableLayoutExportation->setCdoperultatu($codOperador);
        $tableLayoutExportation->setDtultatu($dateNow);
        $tableLayoutExportation->setNrordexplay($orderExportation);
        $tableLayoutExportation->setNrorgultatu($orgId);
        
        return $tableLayoutExportation;
    }
}
