function LSSettingsService(LSUtilities) {
    
    this.saveRestrictionByIp = function(row){
        return LSUtilities.dataSource.setDataSource('login#/ls_OrganizationRestrictionByIp', [row]).then(function(data){
            return data.dataset.organizationRestrictionByIp.ID;
        });
    };
    
    this.getOrganizationParameters = function(){
        return LSUtilities.dataSource.getDataSource('login#/organizationParameters', []).then(function(data){
            return data.dataset.parameters[0] && data.dataset.parameters[0].USE_RESTRICTION == 'S' ? 'S' : 'N';
        });  
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('LSSettingsService', LSSettingsService);
});